#ifndef TakeACTE_names_INCLUDED
#define TakeACTE_names_INCLUDED

#include <bncs_script_helper.h>

#ifdef WIN32
	#ifdef DOEXPORT_SCRIPT
		#define EXPORT_SCRIPT __declspec(dllexport) 
	#else
		#define EXPORT_SCRIPT 
	#endif
#else 
	#define EXPORT_SCRIPT
#endif
 
class TakeACTE_names : public bncs_script_helper
{
public:
	TakeACTE_names(bncs_client_callback * parent, const char* path);
	virtual ~TakeACTE_names();

	void buttonCallback( buttonNotify *b );
	int revertiveCallback( revertiveNotify * r );
	void databaseCallback( revertiveNotify * r );
	bncs_string parentCallback( parentNotify *p );
	void timerCallback( int );
	
private:
	bncs_string m_routerDriverNumber;
	bncs_string m_instance;
	int m_dev;
	int m_idx;
	bncs_string m_src_id;
	bncs_string m_dest_id;

	int src_no;
	int dest_no;
	bool valid_source;
	bool valid_dest;
	bool take_enabled;

	// Local functions
	void check_enableTake(void);
};


#endif // TakeACTE_names_INCLUDED